org.apache.felix.scrplugin

## Class SCRDescriptorFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.scrplugin.SCRDescriptorFailureException

All Implemented Interfaces:
  Serializable

    public class SCRDescriptorFailureException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SCRDescriptorFailureException(String message)`
`SCRDescriptorFailureException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SCRDescriptorFailureException

    public SCRDescriptorFailureException(String message)

#### SCRDescriptorFailureException

    public SCRDescriptorFailureException(String message,
                                         Throwable cause)